package be.ulb.db.index.btree;

/*-------------------------------------------------------------------
   Authors: 2003: Stijn Vansummeren

   The BTIndexFactory class provides capabilities to create a new
   BTIndex.

   $Id: BTIndexFactory.java,v 1.1.1.1 2005/09/26 08:19:41 stijn Exp $
  -------------------------------------------------------------------*/
import be.ulb.db.buffermanager.BufferManager;
import be.ulb.db.index.Index;
import be.ulb.db.index.IndexFactory;
import be.ulb.db.schema.Schema;

public class BTIndexFactory extends IndexFactory
{
    public Index create(Schema keyschema, BufferManager bm )
    {
        return new BTIndex(keyschema, bm);
    }
}

